# Poco::Zip

# class ZipOutputStream

Library: Zip
Package: Zip
Header: Poco/Zip/ZipStream.h

## Description

This stream compresses all characters written through it to one output stream.

## Inheritance

Direct Base Classes: ZipIOS, std::ostream

All Base Classes: ZipIOS, std::ios, std::ostream

## Member Summary

Member Functions: close

Inherited Functions: rdbuf

## Constructors

### ZipOutputStream

ZipOutputStream(
std::ostream & ostr,
ZipLocalFileHeader & fileEntry,
bool seekableOutput
);

Creates the ZipOutputStream and connects it to the given output stream.

## Destructor

### ~ZipOutputStream

~ZipOutputStream();

Destroys the ZipOutputStream.

## Member Functions

### close

void close();

Must be called for ZipOutputStreams!